iCalendlyDeveloper Docs
Event types

GETGet all event types

Retrieves all event types for a user or organization.

GET/v2/event-types
GET/v2/event-types

Query Parameters

usernamestring

The username of the user to get event types for. If only username provided will get all event types.

eventSlugstring

Slug of event type to return. Notably, if eventSlug is provided then username must be provided too, because multiple users can have event with same slug.

usernamesstring

Get dynamic event type for multiple usernames separated by comma. e.g usernames=alice,bob

orgSlugstring

slug of the user's organization if he is in one, orgId is not required if using this parameter

orgIdnumber

ID of the organization of the user you want the get the event-types of, orgSlug is not needed when using this parameter

sortCreatedAtstring

Sort event types by creation date. When not provided, no explicit ordering is applied.

Value in: "asc" | "desc"

Header Parameters

cal-api-versionRequiredstring

Must be set to 2024-06-14. If not set to this value, the endpoint will default to an older version.

Default: "2024-06-14"
Authorizationstring

value must be Bearer <token> where <token> is api key prefixed with cal_ or managed user access token

x-cal-secret-keystring

For platform customers - OAuth client secret key

x-cal-client-idstring

For platform customers - OAuth client ID

curl -X GET "https://example.com/v2/event-types?username=%3Cstring%3E&eventSlug=%3Cstring%3E&usernames=%3Cstring%3E&orgSlug=%3Cstring%3E&orgId=0&sortCreatedAt=asc" \
  -H "cal-api-version: 2024-06-14" \
  -H "Authorization: <string>" \
  -H "x-cal-secret-key: <string>" \
  -H "x-cal-client-id: <string>"

{
  "status": "success",
  "data": [
    {
      "id": 1,
      "lengthInMinutes": 60,
      "lengthInMinutesOptions": [
        15,
        30,
        60
      ],
      "title": "Learn the secrets of masterchief!",
      "slug": "learn-the-secrets-of-masterchief",
      "description": "Discover the culinary wonders of Argentina by making the best flan ever!",
      "locations": [
        {
          "type": "address",
          "address": "123 Example St, City, Country",
          "public": true
        }
      ],
      "bookingFields": [
        {
          "type": "name",
          "label": "string",
          "placeholder": "string",
          "disableOnPrefill": true,
          "isDefault": true,
          "slug": "name",
          "required": true
        }
      ],
      "disableGuests": true,
      "slotInterval": 60,
      "minimumBookingNotice": 0,
      "beforeEventBuffer": 0,
      "afterEventBuffer": 0,
      "recurrence": {
        "interval": 10,
        "occurrences": 10,
        "frequency": "yearly"
      },
      "metadata": {},
      "price": 0,
      "currency": "string",
      "lockTimeZoneToggleOnBookingPage": true,
      "seatsPerTimeSlot": {},
      "forwardParamsSuccessRedirect": {},
      "successRedirectUrl": {},
      "isInstantEvent": true,
      "seatsShowAvailabilityCount": true,
      "scheduleId": 0,
      "bookingLimitsCount": {},
      "bookerActiveBookingsLimit": {
        "maximumActiveBookings": 3,
        "offerReschedule": true
      },
      "onlyShowFirstAvailableSlot": true,
      "bookingLimitsDuration": {},
      "bookingWindow": [
        {
          "type": "businessDays",
          "value": 5,
          "rolling": true
        }
      ],
      "bookerLayouts": {
        "defaultLayout": "month",
        "enabledLayouts": [
          "month"
        ]
      },
      "confirmationPolicy": {},
      "requiresBookerEmailVerification": true,
      "hideCalendarNotes": true,
      "color": {
        "lightThemeHex": "#292929",
        "darkThemeHex": "#fafafa"
      },
      "seats": {
        "seatsPerTimeSlot": 4,
        "showAttendeeInfo": true,
        "showAvailabilityCount": true
      },
      "offsetStart": 0,
      "customName": "string",
      "destinationCalendar": {
        "integration": "string",
        "externalId": "string"
      },
      "useDestinationCalendarEmail": true,
      "hideCalendarEventDetails": true,
      "hideOrganizerEmail": true,
      "calVideoSettings": {
        "disableRecordingForOrganizer": true,
        "disableRecordingForGuests": true,
        "redirectUrlOnExit": {},
        "enableAutomaticRecordingForOrganizer": true,
        "enableAutomaticTranscription": true,
        "disableTranscriptionForGuests": true,
        "disableTranscriptionForOrganizer": true,
        "sendTranscriptionEmails": true
      },
      "hidden": true,
      "bookingRequiresAuthentication": true,
      "disableCancelling": {
        "disabled": true
      },
      "disableRescheduling": {
        "disabled": true,
        "minutesBefore": 60
      },
      "interfaceLanguage": "string",
      "allowReschedulingPastBookings": true,
      "allowReschedulingCancelledBookings": true,
      "showOptimizedSlots": true,
      "ownerId": 10,
      "users": [
        "string"
      ],
      "bookingUrl": "https://cal.com/john-doe/30min"
    }
  ]
}